import javax.swing.*;
public class inter_fx_Ex4A{
public static void main(String args[])
{ inter_f_x ff=x->x*x-1.0;
 double x=2.0;
 String s="x ="+x+"\n function f = "+ff.func(x);
 String s1=" indirect referencing and interface example with inner class lambda definition:";
 JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);
}}
